<?php

class BaseTable
{
    public $table;
    public $conditions;
    public $columns;
    public function __construct()
    {
        $this->columns = "*";
    }
    public function selectQuery($query)
    {
        $sql = Db::getInstance()->getRow($query);
        return $sql;
    }
    public function executeQuery($query)
    {
        if (Db::getInstance()->execute($query) == false) {
            BoldLog::generate('Failed to execute query: ' . Db::getInstance()->getMsgError(), 'error');
            return false;
        }
        return true;
    }

    public function get()
    {
        $query = "SELECT $this->columns FROM $this->table $this->conditions";
        $result = $this->selectQuery($query);
        return $result;
    }

    public function count()
    {
        $query = "SELECT COUNT(*) AS count FROM $this->table $this->conditions";
        $result = $this->selectQuery($query);
        return $result['count'];
    }

    public function where($array)
    {
        $count = 0;
        foreach ($array as $condition) {
            list($column, $operator, $value) = $condition;
            if ($count == 0) {
                $this->conditions = 'WHERE ' . bqSQL($column) . ' ' . $operator . ' "' . pSQL($value) . '"';
            }else{
                $this->conditions = $this->conditions. ' AND ' . bqSQL($column) . ' ' . $operator . ' "' . pSQL($value) . '"';
            }
            $count++;
        }
        return $this;
    }

    public function create($array)
    {
        if (gettype($array) == "array") {
            $attrs  = "";
            $params = "";

            foreach ($array as $attr => $param) {
                $attrs  .= bqSQL($attr) . ",";
                $params .= "'" . pSQL($param) . "',";
            }

            $attrs .= "created_at";
            $params .= "'" . date("Y-m-d H:i:s") . "'";

            $query = "INSERT INTO $this->table ($attrs) VALUES ($params)";
            $result = $this->executeQuery($query);

            return $result;
        }

        return false;
    }

    public function update($array)
    {
        if (gettype($array) == "array") {
            $update = "";

            foreach ($array as $attr => $param) {
                $update .= bqSQL($attr) . " = '" . pSQL($param) . "',";
            }

            $update .= "updated_at = '" . date("Y-m-d H:i:s") . "'";
            $query  = "UPDATE $this->table SET $update $this->where";
            $result = $this->executeQuery($query);

            return $result;
        }

        return false;
    }

}