<?php


class AbstractBoldOrderManager
{

    public $order_id;
    public $status;
    public $amount;
    public $transaction_id;

    public function __construct($cart)
    {

        $this->module = Module::getInstanceByName(BoldModule::MODULE_NAME);
        $this->bold = BoldAPI::getInstance();
        $this->cart = $cart;
    }

    public function getOrderId($cart)
    {
        BoldLog::generate("Generando" . $cart->id . "orden para carro ", 'info');
        $orderId = Order::getIdByCartId($cart->id);
        $this->order_id = $orderId;
        BoldLog::generate("Generando orden " . $orderId, 'info');
        return $orderId;
    }
    public function createOrder($cart)
    {

        try {
            $this->module->validateOrder(
                $cart->id,
                $this->getStatus(),
                $this->amount,
                "Bold",
                null,
                array(),
                (int)$cart->id_currency,
                false
            );

            $this->order_id = Order::getIdByCartId($cart->id);
            $order = new Order($this->order_id);

            $payments = $order->getOrderPaymentCollection();
            $payments[0]->transaction_id = $this->transaction_id;
            $payments[0]->update();

            BoldLog::generate('Orden creada satisfactoriamente para el  carrito ' . $cart->id);
            return true;

        } catch (Exception $e) {
            BoldLog::generate(
                'La orden no pudo ser creada para el carrito ' . $cart->id . ' - ' . $e->getMessage(),
                'error'
            );
            return false;
        }
    }

    function getStatus()
    {
        $payment_states = array(
            BoldTxStatus::PROCESSING => 'BOLD_STATUS_0',
            BoldTxStatus::APPROVED => 'BOLD_STATUS_1',
            BoldTxStatus::REJECTED => 'BOLD_STATUS_2',
            BoldTxStatus::PENDING => 'BOLD_STATUS_3',
            BoldTxStatus::FAILED => 'BOLD_STATUS_4',
        );

        return Configuration::get($payment_states[$this->status]);
    }
}