<?php


require_once ROOT_URL.'/services/order/AbstractOrderManager.php';
require_once ROOT_URL.'/services/order/BoldOrderManager.php';
include_once ROOT_URL.'/services/model/Voucher.php';
class CheckoutOrderManager extends AbstractBoldOrderManager
{
    function __construct($cart, $bold_tx_id)
    {
        parent::__construct($cart);
        $this->transaction_id = $bold_tx_id;
        if (empty($tx_status)) {
            $this->status = BoldTxStatus::PENDING;
        } else {
            $this->status = $tx_status;
        }

    }

    function createCheckoutOrder()
    {
        $this->getOrderId($this->cart);

        $voucher = $this->getTransactionData($this->transaction_id);

        if (empty($voucher)) {
            return false;
        }

        $this->amount = $voucher->total;
        $this->status = $voucher->payment_status;
        $this->transaction_id = $voucher->transaction_id;
        if ($this->order_id == 0) {
            if ($this->createOrder($this->cart)){
                $this->updateBoldTransaction($voucher);
            }

        } else {
            BoldLog::generate("Orden " . $this->order_id . " ya creada para el carrito " . $this->cart->id);
        }
    }

    public function getTransactionData($reference)
    {
        BoldLog::generate("Consultando estado de transacción: ".$reference, 'info');
        $bold_api_client = BoldAPI::getinstance();
        $json_response = $bold_api_client->getTransactionVoucher($reference);
        return new Voucher($json_response);
    }

    public function updateBoldTransaction($voucher)
    {
        BoldLog::generate("Actualizando estado de transacción: ".$voucher->reference_id. "Estado :".$voucher->payment_status, 'info');
        $bold_manager = new BoldOrderManager();
        $bold_manager->updateOrder($this->cart->id,$this->order_id,$voucher->total,$voucher->payment_status,$voucher->transaction_id);
    }


}