<?php




require_once ROOT_URL . '/services/order/AbstractOrderManager.php';
require_once ROOT_URL . '/services/order/BoldOrderManager.php';
include_once ROOT_URL.'/services/model/Webhook.php';
class WebhookOrderManager extends AbstractBoldOrderManager
{
    function __construct($cart, $data)
    {
        parent::__construct($cart);
        $this->webhook = new Webhook($data);
        $this->bold_manager = new BoldOrderManager();
        $this->transaction_id = $this->webhook->getTransactionId();
    }

    function createWebhookOrder()
    {
        $this->getOrderId($this->cart);

        $this->amount = $this->webhook->getAmount();
        $this->status = $this->webhook->getStatus();
        if ($this->status!="APPROVED"){
            return;
        }
        if ($this->order_id == 0) {
            if ($this->createOrder($this->cart)) {
                $this->updateBoldTransaction();
            }
        } else {
            BoldLog::generate("Order " . $this->order_id . " already create for cart " . $this->cart->id);
        }
    }



    public function updateBoldTransaction()
    {
        BoldLog::generate("Actualizando estado de transaccion: " . $this->webhook->getReferenceId(). "Estado :".$this->status, 'info');
        $this->bold_manager->updateOrder($this->cart->id, $this->order_id, $this->amount, $this->status , $this->transaction_id);
    }


}