<?php
/**
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
*  @author    PrestaShop SA <contact@prestashop.com>
*  @copyright 2007-2024 PrestaShop SA
*  @license   http://opensource.org/licenses/afl-3.0.php  Academic Free License (AFL 3.0)
*  International Registered Trademark & Property of PrestaShop SA
*/
$sql = array();

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'bold` (
    `id_bold` int(11) NOT NULL AUTO_INCREMENT,
    PRIMARY KEY  (`id_bold`)
) ENGINE=' . _MYSQL_ENGINE_ . ' DEFAULT CHARSET=utf8;';

$sql[] = 'CREATE TABLE IF NOT EXISTS `' . _DB_PREFIX_ . 'bold_transactions` (
      `id` INT(11) UNSIGNED NOT NULL AUTO_INCREMENT,
      `cart_id` INT(10) UNSIGNED NOT NULL,
      `order_id` INT(10) UNSIGNED NULL,
      `customer_id` INT(11) UNSIGNED NOT NULL,
      `total` DECIMAL(15,2) NULL,
      `payment_id` VARCHAR(100) NULL,
      `payment_status` VARCHAR(100) NULL,
      `payment_mmethod` VARCHAR(100) NULL,
      `notification_url` TEXT NULL,
      `is_payment_test` TINYINT(1) NULL,
      `created_at` DATETIME NOT NULL,
      `updated_at` DATETIME NULL,
      PRIMARY KEY (`id`))
    ENGINE = ' . _MYSQL_ENGINE_ . 'DEFAULT CHARSET=utf8';

foreach ($sql as $query) {
    if (Db::getInstance()->execute($query) == false) {
        return false;
    }
}

// Define module initial configuration
Configuration::updateValue('BOLD_BRAND', false);
Configuration::updateValue('BOLD_PREFIX', null);
Configuration::updateValue('BOLD_API_KEY', null);
Configuration::updateValue('BOLD_TEST_MODE', true);
Configuration::updateValue('BOLD_SECRET_KEY', null);
Configuration::updateValue('BOLD_TEST_API_KEY', null);
Configuration::updateValue('BOLD_TEST_SECRET_KEY', null);
