{*
* 2007-2024 PrestaShop
*
* NOTICE OF LICENSE
*
* This source file is subject to the Academic Free License (AFL 3.0)
* that is bundled with this package in the file LICENSE.txt.
* It is also available through the world-wide-web at this URL:
* http://opensource.org/licenses/afl-3.0.php
* If you did not receive a copy of the license and are unable to
* obtain it through the world-wide-web, please send an email
* to license@prestashop.com so we can send you a copy immediately.
*
* DISCLAIMER
*
* Do not edit or add to this file if you wish to upgrade PrestaShop to newer
* versions in the future. If you wish to customize PrestaShop for your
* needs please refer to http://www.prestashop.com for more information.
*
* @author PrestaShop SA <contact@prestashop.com>
* @copyright 2007-2024 PrestaShop SA
* @license http://opensource.org/licenses/afl-3.0.php Academic Free License (AFL 3.0)
* International Registered Trademark & Property of PrestaShop SA
*}

	<div class="bold-module-config__hero">
		<img src="{$boldco_module_dir|escape:'html':'UTF-8'}views/img/hero.webp" alt="Bold hero banner" />
	</div>

	<form id="boldModuleForm" class="defaultForm form-horizontal bold-module-config__form" action="" method="post"
		enctype="multipart/form-data">

		<input type="hidden" name="submitBoldModule" value="1" />

		<div class="form-wrapper bold-module-config__form-wrapper">
			{if $boldco_error_message}
				<div class="alert alert-danger" role="alert">
					<p class="alert-text">{$boldco_error_message}</p>
				</div>
			{/if}
			{if $boldco_success_message}
				<div class="alert alert-success" role="alert">
					<p class="alert-text">{$boldco_success_message}</p>
				</div>
			{/if}
			<div class="form-group">
				<label class="control-label col-lg-5">{l s='Modo de prueba' mod='bold'}</label>

				<div class="col-lg-5">
					<span class="switch prestashop-switch fixed-width-lg bold-module-config__switch">
						<input type="radio" name="BOLD_TEST_MODE" id="boldTestModeOn" value="1" {if $boldco_fields_value['BOLD_TEST_MODE']} checked {/if} />
						<label for="boldTestModeOn">{l s='Activado' mod='bold'}</label>
						<input type="radio" name="BOLD_TEST_MODE" id="boldTestModeOff" value="0" {if !$boldco_fields_value['BOLD_TEST_MODE']} checked {/if} />
						<label for="boldTestModeOff">{l s='Desactivado' mod='bold'}</label>
						<a class="slide-button btn"></a>
					</span>

					<p class="help-block">{l s='Activa este modo para hacer pagos de prueba.' mod='bold'}</p>
				</div>
			</div>

			<div class="form-group">
				<label class="control-label col-lg-5 required">{l s='Llave de identidad' mod='bold'}</label>

				<div class="col-lg-5">
					<input type="password" name="BOLD_API_KEY" id="boldApiKey" value="{$boldco_fields_value['BOLD_API_KEY']}" required />
					<p class="help-block">{l s='Esta llave identifica tu comercio dentro de Bold.' mod='bold'}</p>
				</div>
			</div>

			<div class="form-group">
				<label class="control-label col-lg-5 required">{l s='Llave secreta' mod='bold'}</label>

				<div class="col-lg-5">
					<input type="password" name="BOLD_SECRET_KEY" id="boldSecretKey" value="{$boldco_fields_value['BOLD_SECRET_KEY']}" required />
					<p class="help-block">{l s='Bold usa esta llave para garantizar la seguridad en las transacciones.' mod='bold'}</p>
				</div>
			</div>

			<div class="form-group">
				<label class="control-label col-lg-5 required">{l s='Llave de identidad de prueba' mod='bold'}</label>

				<div class="col-lg-5">
					<input type="password" name="BOLD_TEST_API_KEY" id="boldTestApiKey" value="{$boldco_fields_value['BOLD_TEST_API_KEY']}" required />
				</div>
			</div>

			<div class="form-group">
				<label class="control-label col-lg-5 required">{l s='Llave secreta de prueba' mod='bold'}</label>

				<div class="col-lg-5">
					<input type="password" name="BOLD_TEST_SECRET_KEY" id="boldTestSecretKey" value="{$boldco_fields_value['BOLD_TEST_SECRET_KEY']}" required />
				</div>
			</div>

			<div class="form-group">
				<label class="control-label col-lg-5 required">{l s='Webhook' mod='bold'}</label>

				<div class="col-lg-6">
					<p class="help-block bold-module-config__webhook-info">{l s='Recibe notificaciones automatizadas de los estados de las transacciones hechas con nuestros métodos de pago.' mod='bold'}</p>
					<p class="help-block bold-module-config__webhook-info">Inicia sesión en <a href="https://comercios.bold.co" target="_blank">bold.co</a> y en la sección Integraciones configura el webhook ingresando la siguiente URL:</p>
					<p class="bold-module-config__webhook-url" id ="webhookUrl">{$boldco_webhook_url}</p>
					<p class="bold-module-config__copy-webhook-url" id ="copyWebhookUrlBtn">{l s='Copiar URL' mod='bold'}</p>
				</div>
			</div>

			<div class="form-group">
				<label class="control-label col-lg-5">{l s='Logo color blanco' mod='bold'}</label>

				<div class="col-lg-5">
					<span class="switch prestashop-switch fixed-width-lg bold-module-config__switch">
						<input type="radio" name="BOLD_BRAND" id="boldBrandOn" value="1" {if $boldco_fields_value['BOLD_BRAND']} checked {/if} />
						<label for="boldBrandOn">{l s='Activado' mod='bold'}</label>
						<input type="radio" name="BOLD_BRAND" id="boldBrandOff" value="0" {if !$boldco_fields_value['BOLD_BRAND']} checked {/if} />
						<label for="boldBrandOff">{l s='Desactivado' mod='bold'}</label>
						<a class="slide-button btn"></a>
					</span>

					<p class="help-block">{l s='Si usas un tema oscuro puedes activar esta opción para ver el logo de Bold en color blanco en el checkout.' mod='bold'}</p>
				</div>
			</div>

			<div class="form-group">
				<label class="control-label col-lg-5">{l s='Prefijo (opcional)' mod='bold'}</label>

				<div class="col-lg-5">
					<input type="text" class="" name="BOLD_PREFIX" id="boldPrefix" value="{$boldco_fields_value['BOLD_PREFIX']}" placeholder="MiTienda" />
					<p class="help-block">{l s='Puedes añadir un prefijo al número de las órdenes si así lo deseas. Solo se aceptan valores alfanuméricos y guiones bajo y medio.' mod='bold'}</p>
				</div>
			</div>
		</div>

		<div class="form-group">
			<div class="bold-module-config__footer">
				<button type="submit" value="1" id="boldSubmitForm" name="submitBoldModule"
					class="bold-module-config__submit-button">{l s='Guardar cambios' mod='bold'}</button>
			</div>
		</div>
	</form>